Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.RigidTransform.

# concatenate

classmethod RigidTransform.concatenate(cls, transforms)

  Concatenate a sequence of `RigidTransform` objects into a single object.

  Parameters:
    transforms sequence of `RigidTransform`

      If a single `RigidTransform` instance is passed in, a copy of it is returned.

  Returns:
    transform `RigidTransform` instance

      The concatenated transform.

  Examples

      >>> from scipy.spatial.transform import RigidTransform as Tf
      >>> tf1 = Tf.from_translation([1, 0, 0])
      >>> tf2 = Tf.from_translation([[2, 0, 0], [3, 0, 0]])
      >>> Tf.concatenate([tf1, tf2]).translation
      array([[1., 0., 0.],
             [2., 0., 0.],
             [3., 0., 0.]])